import { Router } from "@solidjs/router";
import { FileRoutes } from "@solidjs/start/router";
import { Suspense } from "solid-js";
import Nav from "~/components/Nav";
import Footer from "./components/Footer";
import "./app.scss";
import "./fonts.css";

export default function App() {
  return (
    <Router
      root={(props) => (
        <>
          <div class="min-h-screen flex flex-col justify-between">
            <div>
              <Nav />
              <Suspense>{props.children}</Suspense>
            </div>
            <Footer />
          </div>
        </>
      )}
    >
      <FileRoutes />
    </Router>
  );
}
