import { SolidApexCharts } from "solid-apexcharts";

export default ({ data }) => {
  return (
    <SolidApexCharts
      type="area"
      options={{
        yaxis: {
          labels: {
            formatter: (val) => (val).toFixed(0),
          },
          title: {
            text: "Queries/s",
          },
          logarithmic: true,
          forceNiceScale: true,
        },
        xaxis: {
          min: data.start,
          max: data.end,
          type: "datetime",
        },
        chart: {
          toolbar: {
            show: false,
          },
        },
        dataLabels: {
          enabled: false
        },
        fill: {
          type: "gradient",
          gradient: {
            type: "horizontal",
            shadeIntensity: 1,
            inverseColors: false,
            opacityFrom: 0.5,
            opacityTo: 0,
            stops: [0, 90, 100],
          },
        },
      }}
      series={[
        {
          name: "Traffic",
          data: data.data.map(([time, value]) => [time * 1000, value]),
          color: "#209680",
          type: "area",
        },
      ]}
    />
    // <div>{JSON.stringify(data)}</div>
  );
};
